Subject: Re: perl on arm problem?
To: Johnny Lam <>
From: Richard Earnshaw <>
List: port-arm
Date: 05/11/2005 17:18:41
On Wed, 2005-05-11 at 17:10, Johnny Lam wrote:
> Richard Earnshaw wrote:
> > On Sun, 08 May 2005 17:37:09 +0200, Ignatios Souvatzis wrote:
> >>- If this is expected to only show up with perl, should I (or somebody else)
> >>  commit the workaround to pkgsrc?
> >>
> > 
> > That would be great.  It would be even better if it could be made to 
> > detect that it was gcc-3.3.x and only apply the flag in that case.  If 
> > not, then a comment ought to be added to that effect, so that we can 
> > remove it once we stop using that compiler.
> I need some clarification... should we only use this hack on GCC-3.* or 
> GCC-3.3.*?  There is a mismatch between what you said earlier and what 
> was committed to pkgsrc.

I'm only aware of the problem existing on 3.3.x, but I haven't tried
other versions of the compiler with this version of perl.